Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network181.46.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
181.46.0.0
Broadcast address
181.46.255.255
First usable
181.46.0.1
Last usable
181.46.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex B52E0000 · Integer 3039690752 to 3039756287
Reverse DNS zone
46.181.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110101.00101110..00000000.00000000181.46.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10110101.00101110..00000000.00000000181.46.0.0
Broadcast10110101.00101110..11111111.11111111181.46.255.255
Split into smaller subnets/22

181.46.0.0/16 makes 64 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1181.46.0.0/22181.46.0.1 to 181.46.3.254181.46.3.2551,022
2181.46.4.0/22181.46.4.1 to 181.46.7.254181.46.7.2551,022
3181.46.8.0/22181.46.8.1 to 181.46.11.254181.46.11.2551,022
4181.46.12.0/22181.46.12.1 to 181.46.15.254181.46.15.2551,022
5181.46.16.0/22181.46.16.1 to 181.46.19.254181.46.19.2551,022
6181.46.20.0/22181.46.20.1 to 181.46.23.254181.46.23.2551,022
7181.46.24.0/22181.46.24.1 to 181.46.27.254181.46.27.2551,022
8181.46.28.0/22181.46.28.1 to 181.46.31.254181.46.31.2551,022
9181.46.32.0/22181.46.32.1 to 181.46.35.254181.46.35.2551,022
10181.46.36.0/22181.46.36.1 to 181.46.39.254181.46.39.2551,022
11181.46.40.0/22181.46.40.1 to 181.46.43.254181.46.43.2551,022
12181.46.44.0/22181.46.44.1 to 181.46.47.254181.46.47.2551,022
13181.46.48.0/22181.46.48.1 to 181.46.51.254181.46.51.2551,022
14181.46.52.0/22181.46.52.1 to 181.46.55.254181.46.55.2551,022
15181.46.56.0/22181.46.56.1 to 181.46.59.254181.46.59.2551,022
16181.46.60.0/22181.46.60.1 to 181.46.63.254181.46.63.2551,022
17181.46.64.0/22181.46.64.1 to 181.46.67.254181.46.67.2551,022
18181.46.68.0/22181.46.68.1 to 181.46.71.254181.46.71.2551,022
19181.46.72.0/22181.46.72.1 to 181.46.75.254181.46.75.2551,022
20181.46.76.0/22181.46.76.1 to 181.46.79.254181.46.79.2551,022
21181.46.80.0/22181.46.80.1 to 181.46.83.254181.46.83.2551,022
22181.46.84.0/22181.46.84.1 to 181.46.87.254181.46.87.2551,022
23181.46.88.0/22181.46.88.1 to 181.46.91.254181.46.91.2551,022
24181.46.92.0/22181.46.92.1 to 181.46.95.254181.46.95.2551,022
25181.46.96.0/22181.46.96.1 to 181.46.99.254181.46.99.2551,022
26181.46.100.0/22181.46.100.1 to 181.46.103.254181.46.103.2551,022
27181.46.104.0/22181.46.104.1 to 181.46.107.254181.46.107.2551,022
28181.46.108.0/22181.46.108.1 to 181.46.111.254181.46.111.2551,022
29181.46.112.0/22181.46.112.1 to 181.46.115.254181.46.115.2551,022
30181.46.116.0/22181.46.116.1 to 181.46.119.254181.46.119.2551,022
31181.46.120.0/22181.46.120.1 to 181.46.123.254181.46.123.2551,022
32181.46.124.0/22181.46.124.1 to 181.46.127.254181.46.127.2551,022
33181.46.128.0/22181.46.128.1 to 181.46.131.254181.46.131.2551,022
34181.46.132.0/22181.46.132.1 to 181.46.135.254181.46.135.2551,022
35181.46.136.0/22181.46.136.1 to 181.46.139.254181.46.139.2551,022
36181.46.140.0/22181.46.140.1 to 181.46.143.254181.46.143.2551,022
37181.46.144.0/22181.46.144.1 to 181.46.147.254181.46.147.2551,022
38181.46.148.0/22181.46.148.1 to 181.46.151.254181.46.151.2551,022
39181.46.152.0/22181.46.152.1 to 181.46.155.254181.46.155.2551,022
40181.46.156.0/22181.46.156.1 to 181.46.159.254181.46.159.2551,022
41181.46.160.0/22181.46.160.1 to 181.46.163.254181.46.163.2551,022
42181.46.164.0/22181.46.164.1 to 181.46.167.254181.46.167.2551,022
43181.46.168.0/22181.46.168.1 to 181.46.171.254181.46.171.2551,022
44181.46.172.0/22181.46.172.1 to 181.46.175.254181.46.175.2551,022
45181.46.176.0/22181.46.176.1 to 181.46.179.254181.46.179.2551,022
46181.46.180.0/22181.46.180.1 to 181.46.183.254181.46.183.2551,022
47181.46.184.0/22181.46.184.1 to 181.46.187.254181.46.187.2551,022
48181.46.188.0/22181.46.188.1 to 181.46.191.254181.46.191.2551,022
49181.46.192.0/22181.46.192.1 to 181.46.195.254181.46.195.2551,022
50181.46.196.0/22181.46.196.1 to 181.46.199.254181.46.199.2551,022
51181.46.200.0/22181.46.200.1 to 181.46.203.254181.46.203.2551,022
52181.46.204.0/22181.46.204.1 to 181.46.207.254181.46.207.2551,022
53181.46.208.0/22181.46.208.1 to 181.46.211.254181.46.211.2551,022
54181.46.212.0/22181.46.212.1 to 181.46.215.254181.46.215.2551,022
55181.46.216.0/22181.46.216.1 to 181.46.219.254181.46.219.2551,022
56181.46.220.0/22181.46.220.1 to 181.46.223.254181.46.223.2551,022
57181.46.224.0/22181.46.224.1 to 181.46.227.254181.46.227.2551,022
58181.46.228.0/22181.46.228.1 to 181.46.231.254181.46.231.2551,022
59181.46.232.0/22181.46.232.1 to 181.46.235.254181.46.235.2551,022
60181.46.236.0/22181.46.236.1 to 181.46.239.254181.46.239.2551,022
61181.46.240.0/22181.46.240.1 to 181.46.243.254181.46.243.2551,022
62181.46.244.0/22181.46.244.1 to 181.46.247.254181.46.247.2551,022
63181.46.248.0/22181.46.248.1 to 181.46.251.254181.46.251.2551,022
64181.46.252.0/22181.46.252.1 to 181.46.255.254181.46.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses